
Redmine - Defect #11140

Running rake db:migrate_plugins results in "cannot load such file -- aasm"

2012-06-12 04:05 - larry campbell

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.1

Description

Installed Redmine 2.0.1 successfully, and tested with dummy project.  Attempted to install the KanBan plugin and get the following

error when invoking 'rake db:migrate_plugins'

# rake db:migrate_plugins RAILS_ENV=production --trace

** Invoke db:migrate_plugins (first_time)

** Invoke redmine:plugins:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

cannot load such file -- aasm

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`require'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`block in require'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:236:in 

`load_dependency'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`require'

/var/www/redmine/plugins/redmine_kanban/init.rb:3:in `<top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`require'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`block in require'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:236:in 

`load_dependency'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:251:in 

`require'

/var/www/redmine/lib/redmine/plugin.rb:129:in `block in load'

/var/www/redmine/lib/redmine/plugin.rb:120:in `each'

/var/www/redmine/lib/redmine/plugin.rb:120:in `load'

/var/www/redmine/config/initializers/30-redmine.rb:13:in `<top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:245:in 

`load'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:245:in 

`block in load'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:236:in 

`load_dependency'

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.2.3/lib/active_support/dependencies.rb:245:in 

`load'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/engine.rb:588:in `block (2 levels) in

 <class:Engine>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/engine.rb:587:in `each'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/engine.rb:587:in `block in <class:Eng

ine>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/initializable.rb:30:in `instance_exec

'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/initializable.rb:30:in `run'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/initializable.rb:55:in `block in run_

initializers'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/initializable.rb:54:in `each'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/initializable.rb:54:in `run_initializ
ers'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/application.rb:136:in `initialize!'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/railtie/configurable.rb:30:in `method

_missing'

/var/www/redmine/config/environment.rb:16:in `<top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/application.rb:103:in `require'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/application.rb:103:in `require_enviro

nment!'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.3/lib/rails/application.rb:292:in `block (2 level

s) in initialize_tasks'

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `call'

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `block in execute'

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `execute'

/usr/local/lib/ruby/1.9.1/rake/task.rb:158:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:144:in `invoke'

/usr/local/lib/ruby/1.9.1/rake/application.rb:116:in `invoke_task'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block (2 levels) in top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `each'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block in top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/local/lib/ruby/1.9.1/rake/application.rb:88:in `top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:66:in `block in run'

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/local/lib/ruby/1.9.1/rake/application.rb:63:in `run'

/usr/local/bin/rake:32:in `<main>'

Tasks: TOP => db:migrate_plugins => redmine:plugins:migrate => environment

 List of Gems:

# gem list

*** LOCAL GEMS ***

aasm (3.0.7)

actionmailer (3.2.3)

actionpack (3.2.3)

activemodel (3.2.3)

activerecord (3.2.3)

activeresource (3.2.3)

activesupport (3.2.3)

addressable (2.2.8)

arel (3.0.2)

Ascii85 (1.0.1)

autotest-rails (4.1.2)

bigdecimal (1.1.0)

builder (3.0.0)

bundler (1.1.4)

capybara (1.1.2)

childprocess (0.3.2)

coderay (1.0.6)

cucumber (1.1.3)

cucumber-rails (1.2.1)
culerity (0.2.15)

daemon_controller (1.0.0)

daemons (1.1.8)

database_cleaner (0.8.0)

diff-lcs (1.1.3)

erubis (2.7.0)

eventmachine (0.12.10)

fastthread (1.0.7)

faye-websocket (0.4.5)

ffi (1.0.11)

gherkin (2.6.8)

hike (1.2.1)

hoe (3.0.6, 1.5.1)

holidays (1.0.5, 1.0.3)

http_parser.rb (0.5.3)

i18n (0.6.0)

icalendar (1.1.6)

io-console (0.3)

journey (1.0.3)

json (1.7.3, 1.5.4)

json_pure (1.7.3)

libwebsocket (0.1.3)

mail (2.4.4)

metaclass (0.0.1)

mime-types (1.18)

minitest (2.5.1)

mocha (0.11.4)

multi_json (1.3.6)

mysql (2.8.1)

mysql2 (0.3.11)

net-ldap (0.3.1)

nokogiri (1.5.4)

open-uri-cached (0.0.5)

passenger (3.0.12)

pdf-reader (1.1.1)

poltergeist (0.6.0)

polyglot (0.3.3)

prawn (0.12.0)

prototype-rails (3.2.1)

rack (1.4.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.1)

rails (3.2.3)

railties (3.2.3)

rake (0.9.2.2)

rdoc (3.12, 3.9.4)

RedCloth (4.2.9)

rmagick (2.13.1)

rspec (2.5.0)

rspec-core (2.5.2)

rspec-expectations (2.5.0)

rspec-mocks (2.5.0)

rspec-rails (2.5.0)

ruby-openid (2.1.8)

ruby-rc4 (0.1.5)

rubyforge (2.0.4)

rubytree (0.5.2)

rubyzip (0.9.8)

selenium-webdriver (2.22.2)

shoulda (2.11.3)

simplecov (0.6.4)

simplecov-html (0.5.3)

spork (0.9.2)

sprockets (2.1.3)

term-ansicolor (1.0.7)
test-unit (1.2.3)

thin (1.3.1)

thor (0.14.6)

tilt (1.3.3)

timecop (0.3.5)

treetop (1.4.10)

ttfunk (1.0.3)

tzinfo (0.3.33)

xpath (0.1.4)

yard (0.8.2.1)

ZenTest (4.5.0)

History

#1 - 2012-06-12 19:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, no plugin issue here. Please contact the plugin author.

#2 - 2012-06-15 00:56 - Rafi Greenberg

Jean-Philippe, YOU are the author of the Embedded plugin and have not responded to my repeated requests to make the plugin compatible with the

latest Redmine. What kind of example are you setting?

Powered by TCPDF (www.tcpdf.org)

2025-05-11 4/4

http://www.tcpdf.org

